package com.example.gasullaj_proyectofundamentos;

import android.content.Context;
import android.database.Cursor;
import android.support.v4.widget.CursorAdapter;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

public class AdaptadorCursor extends CursorAdapter {
	   private LayoutInflater inflador;
	   TextView nombre, puntos;
	   ImageView iconoMapa;
	 
	   public AdaptadorCursor(Context contexto, Cursor c) {
	      super(contexto, c, false);
	   }
	 
	   @Override
	   public View newView(Context contexto, Cursor c, ViewGroup padre) {
	      inflador = (LayoutInflater) contexto
	            .getSystemService(Context.LAYOUT_INFLATER_SERVICE);
	      View vista = inflador.inflate(R.layout.elemento_lista, padre,false);
	      return vista;
	   }
	 
	   @Override
	   public void bindView(View vista, Context contexto, Cursor c) {
	      nombre = (TextView) vista.findViewById(R.id.puntSubtitulo);
	      puntos = (TextView) vista.findViewById(R.id.puntTitulo);
	      iconoMapa = (ImageView) vista.findViewById(R.id.puntIconoMapa);
	      
	      nombre.setText(c.getString(c.getColumnIndex("nombre")));
	      puntos.setText(String.valueOf(c.getInt(c.getColumnIndex("puntos"))));

	   }
	}
