package com.example.gasullaj_proyectofundamentos;

import android.app.Activity;
import android.os.Bundle;

public class Juego extends Activity {
	
	private VistaJuego vistaJuego;
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.juego);
		
		vistaJuego = (VistaJuego) findViewById(R.id.VistaJuego);		
		vistaJuego.setPadre(this);
	}
	
	@Override
	protected void onPause() {
		super.onPause();
		vistaJuego.desactivarSensores();
		vistaJuego.getThread().pausar();
	}

	@Override
	protected void onResume() {
		super.onResume();
		vistaJuego.getThread().reanudar();
		// Activamos sensores en funcin de las preferencias
		vistaJuego.activarSensores();
	}

	@Override
	protected void onDestroy() {	
		vistaJuego.getThread().detener();		
		super.onDestroy();
	}	
}
