package com.example.gasullaj_proyectofundamentos;

import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

public class AlmacenPuntuacionesSQLite extends SQLiteOpenHelper implements
		AlmacenPuntuaciones {
	public AlmacenPuntuacionesSQLite(Context context) {
		super(context, "puntuaciones", null, 1);
	}

	// Mtodos de SQLiteOpenHelper

	@Override
	public void onCreate(SQLiteDatabase db) {
		db.execSQL("CREATE TABLE puntuaciones ("
				+ "_id INTEGER PRIMARY KEY AUTOINCREMENT, "
				+ "puntos INTEGER, nombre TEXT, correo TEXT, "
				+ "fecha LONG, longitud DOUBLE, latitud DOUBLE)");
	}

	@Override
	public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
		// En caso de una nueva versin habra que actualizar las tablas
	}

	// Mtodos de AlmacenPuntuaciones
	public void guardarPuntuacion(int puntos, String nombre, String correo, 
			long fecha, double longitud, double latitud) {
		SQLiteDatabase db = getWritableDatabase();
		db.execSQL("INSERT INTO puntuaciones VALUES ( null, " + puntos + ", '"
				+ nombre + "', '" + correo + "', " 
				+ fecha + ", " + longitud + ", " + latitud + ")");
		db.close();
	}

	public Cursor listaPuntuaciones(int cantidad) {	
		SQLiteDatabase db = getReadableDatabase();
		
		Cursor cursor = db.rawQuery("SELECT * FROM "
				+ "puntuaciones ORDER BY puntos DESC LIMIT " + cantidad, null);	
		
		return cursor;
	}
}

