package com.example.gasullaj_proyectofundamentos;

import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ListView;

public class Puntuaciones extends ListActivity {
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.puntuaciones);
		
		setListAdapter(new AdaptadorCursor(this, MainActivity.almacen.listaPuntuaciones(10)));
	}
	
	@Override
	protected void onListItemClick(ListView listView, View view, int position, long id) {
		super.onListItemClick(listView, view, position, id);
		
		// Mostramos el mapa con los markers de las puntuaciones,
		// centrado en la posicin del elemento pulsado
		Intent intent = new Intent(this, Mapa.class);
		intent.putExtra("position", position);
		startActivity(intent);			     
	}
}


